"use strict";
// This file is part of phosphor-float-area, copyright (C) 2017 BusFaster Ltd.
// Released under the MIT license, see LICENSE.
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var SimpleLayout_1 = require("./SimpleLayout");
var DialogLayout = /** @class */ (function (_super) {
    __extends(DialogLayout, _super);
    function DialogLayout(options) {
        if (options === void 0) { options = {}; }
        return _super.call(this) || this;
    }
    DialogLayout.prototype.addWidget = function (widget, options) {
        if (options === void 0) { options = {}; }
        return (_super.prototype.addWidget.call(this, widget));
    };
    DialogLayout.prototype.removeWidget = function (widget) {
        _super.prototype.removeWidget.call(this, widget);
    };
    DialogLayout.prototype.onUpdate = function () {
        var _this = this;
        var box = this.box;
        // Resize content to match the dialog.
        this.itemMap.forEach(function (item) { return _this.updateItem(item, box.x, box.y, box.innerWidth, box.innerHeight); });
    };
    return DialogLayout;
}(SimpleLayout_1.SimpleLayout));
exports.DialogLayout = DialogLayout;
//# sourceMappingURL=DialogLayout.js.map